var tag =
{
   update: null,
   id: null,

   init: function()
   {
      tag.update = window.arguments[0];

      if(tag.update == true)
      {
         var title = tag.getProperty("tag.update");
         document.title = title;

         tag.id = window.arguments[1];

         var name = window.arguments[2];
         document.getElementById("name").value = name.substr(0, name.lastIndexOf("(") - 1);
      }
      else
      {
         var title = tag.getProperty("tag.add");
         document.title = title;
      }
   },

   save: function()
   {
      var epubReader = Components.classes["@mozilla.org/streamconv;1?from=application/epub+zip&to=*/*"]
                       .getService(Components.interfaces.nsISupports).wrappedJSObject;

      var name = document.getElementById("name").value;

      if(name.length == 0)
      {
         var message = tag.getProperty("tag.min_characters");
         alert(message);
         return false;
      }

      name = name.replace(/'/g, "''");

      if(this.update == true)
      {
         var ret = epubReader.updateTag(this.id, name);
      }
      else
      {
         var ret = epubReader.storeTag(name);
      }

      if(ret == false)
      {
         var message = tag.getProperty("tag.save_error");
         alert(message);
         return false;
      }
      else if(ret == -1)
      {
         var message = tag.getProperty("tag.already_exists");
         alert(message);
         return false;
      }
      else
      {
         return true;
      }
   },

   cancel: function()
   {
      return true;
   },

   getProperty: function(name)
   {
      var bundle = Components.classes["@mozilla.org/intl/stringbundle;1"]
                   .getService(Components.interfaces.nsIStringBundleService)
                   .createBundle("chrome://epubreader/locale/epubreader.properties");

      var property = bundle.GetStringFromName(name);

      return property;
   }
}